Subject: SC22 N2486 - WG15 Business Plan/Convener's Report for Plenary

From: "william c. rinehuls" <[email-masked]>
Date: Thu, 5 Jun 1997 17:39:40 -0400 (EDT)

______________________beginning of title page ____________________
ISO/IEC JTC 1/SC22
Programming languages, their environments and system software interfaces
Secretariat:  U.S.A.  (ANSI)

ISO/IEC JTC 1/SC22
N2486

June 1997

TITLE: 
WG15 Business Plan and WG15 Convener's Report for the August 1997 JTC 1/
SC22 Plenary

SOURCE:
Secretariat, ISO/IEC JTC 1/SC22

WORK ITEM:
N/A

STATUS:
Please note that this Report contains a number of action items for SC22
approval at the August 1997 SC22 Plenary.

CROSS REFERENCE:
N/A

DOCUMENT TYPE:
Convener's Report

ACTION:
To SC22 Member Bodies for review and action.

Address reply to:
ISO/IE JTC 1/SC22 Secretariat
William C. Rinehuls
8457 Rushing Creek Court
Springfield, VA 22153
Tel:  +1 (703) 912-9680
Fax:  +1 (703) 912-2973
email:  [email-masked]

_______________end of title page; beginning of report _________________
                                                                     
                                                                         WG15 Convener Report to SC22                                                                      
  Actions Requested of SC22
  
1.   Confirm Project editor proposals:

Don Folland as Project Editor of JTC1.22.38  (OSE Guide)
Norm Aaronson as Project Editor for JTC1.22.21.02.03  (Batch)
Michael Gonzalez as Project Editor for JTC1 22.21.04.01.01  (Advanced Real  
   Time Extensions)  
  
2.   Withdrawal of Projects
  
Project 22.21.01.03.01 9945-1 amendment for Transparent File Access.
(note the developed work has been terminated on this, and SC22 N2349  
comments call for maintaining synchronization with this development work,
which is consistent with this request for withdrawal.)
  
3.   Numbering for LIS work.  
  
WG15, and SC22 have both previously supported the designation of "9945-0"  
as the numbering for the LIS work.  This is preferred, if possible, with
"9945-x" as a second choice, where "x" is the next applicable digit (-3?).
  
4.   WG15 N733 is a revised Synchronization plan, incorporating the  
concept of "Final CD", which WG15 has approved.  WG15 requests SC22's
approval of this revised plan.

5.   WG15 requests an extension for CD registration of the LIS work  
(22.21.01.01.01) till the SC22 meeting in 1998 due to delays in provision
of the required materials to the Project Editor.
  
Response to Questions raised by SC22
  
6. Projects not reaching CD Stage within 3 Years
   
22.21.01.01 - POSIX LIS
The materials are now in the hands of the Project Editor, we expect the  
document can be brought to CD registration prior to Sept. 1998; and an
extension for one more year is requested.
   
22.21.04.02 POSIX Ada Binding, real time extensions - IEEE 1003.5b  
proposed forfasttrack

An issue surfaces with this which is "fasttrack of an amendment" it can
be submitted as a new "Part", but it is not clear it can be a normal
"amendment"   although there seems to be merit in allowing this concept.
SC22 may wish to express an opinion to WG15 or JTC1 on the matter.
   
22.14515-1 System Interface Test Methods 
(This work -1.01 subdivision was approved as an IS in 1996) (The  
subdivision -1.02 PDAM reg ballot closed Dec. 96; awaiting document from
US to file for PDAM ballot.)
  
7. Business Plan information as requested in N2401/2416 (JTC1 N4478) is  
included below
  
Information for SC22
  
8.  Jim Isaak is not a candidate for a subsequent 3 year term as Convener
for WG15.  WG15 has requested Members of WG15 to identify candidates for
this role.  Jim will be able to continue though 1998, providing some time
for this process to complete.
   
9.  Record of Response for Interpretations/Defect Reports
WG15 has posted responses to Interpretations/Defect reports requests on  
it's WG15 web pages www.dkuug.dk/JTC1/SC22/WG15/
  
10. A substantive printing error in 9945-1:1996 has been found, to wit:
    WG15 resolution Printing Erratum
    WG15 requests its Convener to notify ITTF that a printing erratum has
    been identified in the printed version of 9945-1:1996 2nd Edition,
    section 5.1.2.4, line 118. In the opendir function, the return value  
    should be "NULL" but is erroneously printed as "-1". WG15 requests
    ITTF to take any action necessary to notify existing purchasers of the  
    standard and all future purchasers.
 
11. The U.S. Member Body is expected to submit a proposal to JTC1 for a  
    NWI "Guide for Developing User Organization Open System Environment
    (OSE) Profiles".  WG15 expresses its willingness to accept this work
    item should it be approved.
   
Business Plan Template
  (based on N2416)
  
Management Summary

Statement of Scope:
Application program interfaces (API's) for portability based on the  
"Portable Operating Systems Interface" (POSIX) work and related operating
systems interface work.
  
Period Covered: Jan 97-May 98
  
Submitted by: Jim Isaak, WG15 Convener
  
Project Report (existing, most current, #, active, planned withdrawals,  
target dates)
  
   -Planned withdrawals are requested above (TFA).
  
   A number of projects are in balloting, or approaching that state at this time.  This includes:

         PDAM Project             Title           PASC number
	                          Status
  
  9945-1 System API
  
3  22.42                  Security Amendment        1003.le
   
  PDAM DoC needed from summer 96 timeframe!)
  
4  22.21.01.03.03         Protocol Ind. Interface   1003.1g
  
  SC22 N2351 PDAM summary of comments need proposed Disposition of  
Comments  Draft 6.6 resolves all known UK comments, and other national
body concerns - should go to DAM
  level 
  
5  22.39                  Extensions to base         1003.1a
  SC22 N2347 summary of registration ballot, (trivial) DoC needed. Draft  
14 for Final PDAM ballot.

6  22.21.01.03.01         Transparent File Access    1003. 1f
withdrawal proposed to SC22

7  22.21.04.01.01         Advanced Real Time Ext.    1003.1j
SC22 2443 Registration ok, US needs to provide draft to send for PDAM or
Final PDAM
  
8  22.40                  Additional real time ext   1003.1d
  SC22 N2404 is PDAM Reg ballot, closes 27 May 97 final PDAM  
recommendation (Fr?)
  
  9945-2 Shell and Utilities
  
  2  22.41                S & U Extensions           1003.2b
  SC22 N2156 is summary of PDAM ballot DoC needed
  
  3  22.43                S&U Security               1003.2c
  SC22 N2173 is summary of PDAM ballotDoC needed
  
  15068 Administration
  
  2 22.21.03.04           Software Admin              1387.2
  DIS ballot closed March 97; DOC may be needed

  3 22.21.03.05           User Admin                  1387.3 
SC22 N2086 was summary of CD Ballot, DoC provided 19apr96  US to provide
draft for DIS ballot-
  
  4 22.21.03.03           Print Admin                 1387.4
  SC22 N2390 summary of balloting on CD- DoC neededUS to provide draft  
for CD ballot             
  
  13210 Test Methods
  
  rev 22.37               Test Methods                2003
  SC22 N2459 is final CD ballot, closes Oct 97
  
  14515 9945 Test Methods
  
  1-1   22.14515-1.02-1    test methods real time ext  2003.1b
  SC22 N2358 is summary of Reg ballot, (F)PDAM is next US to provide  
draft for PDAM ballot - (future unclear
  
  -2    22.14515-2-2       Test methods                2003.2
  SC22 N2226 summary of CD balloting, no objections US to provide draft  
for DIS ballot
  
  14766 -                  Guide to National Profiles
  SC22 N2044 is JTC1 summary of voting on NP, Comment on French  
translation from France Awaiting WD for SC22 R&C
  
  LIS
  
  9945-0                   Language Independent Specification  1003.0
  Work has been extended beyond the "3 Years to CD" limit Awaiting WD  for
SC22 R&C
  
  OSE Profile Projects

  22.15287.01              OSE Profile Project: Supercomputing 1003.10
  22.15287.02              Real Time Profile                   1003.13
  Explanatory reports - to WG15 email for eballot Drafts with Exp. reports  
to SC22 for PDISP ballot upon the approval.
  
Cooperation & Competition
  WG15's work is done with close cooperation of The Open Group (aka  
X/Open), Usenix, Europen, and other UNIX organizations. The bulk of
development for work brought into WG15 has been done in cooperation with
IEEE's Portable Applications Standards Committee. TOG is a category "C"
liaison, and authorized to submit PAS specifications in areas relevant  to
WG15's work. While most "UNIX" type systems conform to the specifications
from WG15 (POSIX), there is significant competition from de-facto
standards typically "Windows 95" and "NT".
  
2.0  Period Review
  
2.1  Market Requirements
     This area of work has been identified with a 1995 market of US$35  
Billion, and $50 Billion in 1998.
  
2.2  Achievements
     It has been noted that POSIX conformance is taken for granted by a  
wide variety of private and public sector users for "UNIX" systems
procurement, and that all major implementations of "UNIX" claim
conformance to the POSIX standards.  
  
2.3  Resources
     The POSIX work is dependent on IEEE and The Open Group, as a source  
of technical expertise, support and development work. WG15 has
traditionally 8 active (meeting attending) national bodies, and technical
contributions from additional national bodies.
  
3    Focus Next Work Period
     See the active projects list above
  
3.1  Deliverables
     See the active projects list above
  
3.2  Strategies
  
3.2.1     Risks
  
3.2.1.1   This work is mature,  "taken for granted", and being over 
shadowed by significant competing methodologies, this may result in a
reduced level of member body, industry, and public sector investment and
involvement in the work needed to maintain the standards.
  
3.2.1.2   International participant sponsorship appears to be declining,  
at least in terms of industry supported experts.  This may reduce
participation to academic participation, with less business investment.
  
3.2.1.3   There is a tendency for buyers to not specify the related  
standards (as they are taken for granted where applicable) resulting in a
loss of awareness of the impact/value of these standards in industry.
  
3.2.2     Opportunities
          Distributed File System capabilities
          64 Bit and/or larger, capabilities
  
3.3       Work Program Priorities
         See active list above.  Industry involvement in this work will be
focusing and "rightsizing" related to priorities of major providers and
users.  This will affect the priorities for work in this area in 1997/8.

______________________-end of document SC22 N2486 ____________________